//-----------------------------------//
//        AI SCRIPT FUNCTIONS        //
//-----------------------------------//

//Note: TAC2 includes no AI so we have removed these functions to prevent errors


//first, exec the supporting scripts
//exec("scripts/aiDebug.cs");
//exec("scripts/aiDefaultTasks.cs");
//exec("scripts/aiObjectives.cs");
//exec("scripts/aiInventory.cs");
//exec("scripts/aiChat.cs");
//exec("scripts/aiHumanTasks.cs");
//exec("scripts/aiObjectiveBuilder.cs");
//exec("scripts/aiBotProfiles.cs");

$AIModeStop = 0;
$AIModeWalk = 1;
$AIModeGainHeight = 2;
$AIModeExpress = 3;
$AIModeMountVehicle = 4;

$AIClientLOSTimeout = 15000;	//how long a client has to remain out of sight of the bot
										//before the bot "can't see" the client anymore...
$AIClientMinLOSTime = 10000;	//how long a bot will search for a client


//-----------------------------------//
//Objective weights - level 1



function AIInit()
{
	return;
}

// this is called at mission load by the specific game type
function AIInitObjectives(%team, %game)
{
	return;
}

//This function is designed to clear out the objective Q's, and clear the task lists from all the AIs
function AIMissionEnd()
{
	return;
}

//FUNCTIONS ON EACH OBJECT EXECUTED AT MISSION LOAD TIME
function SimGroup::AIMissionInit(%this)
{
	return;
}

function GameBase::AIMissionInit(%this)
{
   	return;
}

function StationInventory::AIMissionInit(%data, %object)
{
   	return;
}

function Flag::AIMissionInit(%data, %object)
{
	return;
}

function SimObject::AIMissionInit(%this)
{
	//this function is declared to prevent console error msg spam...
}

function ItemData::AIMissionInit(%data, %object)
{
		return;
}

function AIThrowObject(%object)
{
		return;
}

function AIGrenadeThrown(%object)
{
		return;
}

function AIDeployObject(%client, %object)
{
	return;
}

function AIDeployMine(%object)
{
	return;
}

function AIVehicleMounted(%vehicle)
{
	return;
}

function AICorpseAdded(%corpse)
{
   return;
}

//OTHER UTILITY FUNCTIONS

function AIConnection::onAIDrop(%client)
{
	return;
}

function AIConnection::endMission(%client)
{
	return;
}

function AIConnection::startMission(%client)
{
	return;
}

function AIConnection::onAIConnect(%client, %name, %team, %skill, %offense, %voice, %voicePitch)
{
   return;
}

// This routes through C++ code so profiler can register it.  Also, the console function
// ProfilePatch1() tracks time spent (at MS resolution), # calls, average time per call.
// See console variables $patch1Total (MS so far in routine), $patch1Avg (average MS
// per call), and $patch1Calls (# of calls).
function patchForTimeTest(%client)
{
	return;
}

function AIReassessObjective(%client)
{
   return;
}

function onAIRespawn(%client)
{
   return;
}

function AIClientIsAlive(%client, %duration)
{
   return;
}

//------------------------------
function AIFindClosestEnemy(%srcClient, %radius, %losTimeout)
{
   return;
}

function AIFindClosestEnemyToLoc(%srcClient, %srcLocation, %radius, %losTimeout, %ignoreLOS, %distFromClient)
{
	return;
}

function AIFindClosestEnemyPilot(%client, %radius, %losTimeout)
{
	return;
}

function AIFindAIClientInView(%srcClient, %team, %radius)
{
	return;
}

//-----------------------------------------------------------------------------
//AI VEHICLE FUNCTIONS

function Armor::AIonMount(%this, %obj, %vehicle, %node)
{
	return;
}

function Armor::AIonUnMount(%this, %obj, %vehicle, %node)
{
	return;
}

function AIDisembarkVehicle(%client)
{
	return;
}

function AIProcessVehicle(%client)
{
	return;
}

function AIPilotVehicle(%client)
{
	//this is not very well supported, but someone will find a use for this function...
}